Skip to content

Turn on push notifications in this browser

POST
/api/v1/push/devices
curl --request POST \
--url http://127.0.0.1:8484/api/v1/push/devices \
--header 'Content-Type: application/json' \
--data '{ "auth": "example", "device": "example", "endpoint": "example", "p256dh": "example" }'
Media typeapplication/json
object
$schema

A URL to the JSON Schema for this object.

string format: uri
auth
required

Keys.auth, base64url

string
device

How to show it, e.g. Chrome on Android

string
endpoint
required

The push service address from PushSubscription.endpoint

string
p256dh
required

Keys.p256dh, base64url

string

OK

Media typeapplication/json
object
$schema

A URL to the JSON Schema for this object.

string format: uri
channel
required
string
createdAt
required
string
destination

Email address, ntfy topic or webhook host; empty for chat accounts

string
hasTemplate

The webhook has its own body template

boolean
id
required
string

Example

{
"$schema": "https://example.com/api/schemas/LinkInfo.json"
}

Error

Media typeapplication/problem+json
object
$schema

A URL to the JSON Schema for this object.

string format: uri
detail

A human-readable explanation specific to this occurrence of the problem.

string
errors

Optional list of individual error details

Array<object> | null
object
location

Where the error occurred, e.g. ‘body.items[3].tags’ or ‘path.thing-id’

string
message

Error message text

string
value

The value at the given location

instance

A URI reference that identifies the specific occurrence of the problem.

string format: uri
status

HTTP status code

integer format: int64
title

A short, human-readable summary of the problem type. This value should not change between occurrences of the error.

string
type

A URI reference to human-readable documentation for the error.

string format: uri
default: about:blank

Example

{
"$schema": "https://example.com/api/schemas/ErrorModel.json",
"detail": "Property foo is required but is missing.",
"instance": "https://example.com/error-log/abc123",
"status": 400,
"title": "Bad Request",
"type": "about:blank"
}